'''
Задание 3.2

print('Простой калькулятор вклада. На вход подаются следующие параметры: сумма вклада в рублях '
      '(число, может быть с копейками),\n'
      'срок вклада (число дней), процентная ставка (число, может быть с плавающей точкой).\n'
      'Для выхода из программы нужно в любой из параметров ввести exit\n')
print('Формула расчета вклада: SR=S*P/100*D/365; S - первоначальная сумма денег, вложенная в банк;\n'
      'P - годовая процентная ставка; D - количество дней, за который начисляется процент.\n')

1. Зпросить у пользователя ввод следующих данных:
    - Сумма вклада
    - Срок вклада (в днях)
    - Процентная ставка %
2. проверить что:
    - Сумма вклада > 0
    - Срок вклада > 30
    - Процентная ставка > 0
3. Посчитать доходность по вкладу по формуле ниже и вывести на экран

4. После выполнения расчета вывести на экран строку:
    "Произвеси новый расчет? (да/нет)"
        - Если введено 'Да' или 'Д' - запустить код заново
        - Если введено 'Нет' или 'Н' - выйти из выполнения программы
        - Если введено что-то другое:
             - повторить запросить выбор (да/нет)
        - Сделать ввод не чувствительный к регистру

Формула расчета вклада: 
    Profit = S*P/100*D/365
    S - первоначальная сумма денег, вложенная в банк;
    P - годовая процентная ставка; 
    D - количество дней, за который начисляется процент
'''
while True:
    param = input("Сумма вклада: ").lower()
    if param == 'exit':
        break
    sum = float(param)

    param = input("Срок вклада (в днях): ")
    if param == 'exit':
        break
    days = int(param)

    param = input("Процентная ставка %: ")
    if param == 'exit':
        break
    percent = float(param)

    if sum > 0 and days > 0 and percent > 0:
        print(f'Доходность по вкладу: {sum * (percent / 100) * (days / 365)}')
    else:
        print('Сумма вклада, срок вклада и процентная ставка должна быьть больше нуля')
    while True:
        yn = input("Произвеси новый расчет? (да/нет) ").lower()
        if yn == 'нет' or yn == 'н' or yn == 'exit':
            exit(0)
        if yn == 'да' or yn == 'д':
            break